<p align="center">
  <img src="https://avatars3.githubusercontent.com/u/23202313" alt="Compodoc: The missing documentation tool for your Angular application" width="226">
  <br>
  <a href="https://travis-ci.org/compodoc/compodoc"><img src="https://img.shields.io/travis/compodoc/compodoc/develop.svg?label=Linux%20build" alt="Linux Build Status"></a>
  <a href="https://ci.appveyor.com/project/vogloblinsky/compodoc/branch/develop"><img src="https://img.shields.io/appveyor/ci/vogloblinsky/compodoc/develop.svg?label=Windows%20build" alt="Windows Build Status"></a>
  <a href="https://codecov.io/gh/compodoc/compodoc"><img src="https://codecov.io/gh/compodoc/compodoc/branch/develop/graph/badge.svg" alt="Codecov"/></a>
  <a href="https://www.npmjs.com/package/@compodoc/compodoc"><img src="https://badge.fury.io/js/%40compodoc%2Fcompodoc.svg" alt="npm badge"></a>
  <a href="https://david-dm.org/compodoc/compodoc"><img src="https://david-dm.org/compodoc/compodoc.svg" alt="npm dependencies"></a>
  <a href="https://david-dm.org/compodoc/compodoc?type=dev"><img src="https://david-dm.org/compodoc/compodoc/dev-status.svg" alt="npm devDependencies"></a>
  <a href="http://opensource.org/licenses/MIT"><img src="http://img.shields.io/badge/license-MIT-brightgreen.svg" alt="MIT badge"></a>
</p>
<p align="center">
    <img src="https://saucelabs.com/browser-matrix/compodoc.svg" alt="saucelabs badge">
</p>
<p align="center">
    <a href="https://gitter.im/compodoc/compodoc" target="_blank"><img src="https://badges.gitter.im/Join%20Chat.svg" alt="Gitter badge"></a><br><br>
</p>

<p align="center">The missing documentation tool for your Angular application.<br><br></p>

<p align="center">
  <img src="https://raw.githubusercontent.com/compodoc/compodoc/master/screenshots/main-view.gif" alt="Compodoc: The missing documentation tool for your Angular application">
</p>


# Live Demo

A live demo is available — **[see it in action][demo]** !

The demo features documentation generated for a simple [TodoMVC application].

[demo]: https://compodoc.github.io/compodoc-demo-todomvc-angular/
[TodoMVC application]: https://github.com/compodoc/compodoc-demo-todomvc-angular

# Features

- **Clean, simple design** — Navigate the documentation on the left side, read it on the right.

- **Beautiful themes** — Seven themes are available from well known documentation tools like [Gitbook], [Read the Docs] and projects like [Vagrant], [Laravel], [Postmark] and [Stripe].

- **Search** — Includes a powerful search engine ([lunr.js]) for easily finding what you're looking for.

- **Automatic table of contents** — API table of contents is generated using elements found during files parsing.

- **JSDoc light support** — Support for `@param`, `@returns`, `@link` and `@example` tags.

- **Documentation coverage** — Get the documentation coverage report of your project.

- **Angular CLI-friendly** — Supports [Angular CLI] projects out-of-the-box.

- **Offline** — No server needed, no sources uploaded online, documentation generated entirely offline.

- **Open-source and on npm** — Use it directly in your project using [npm] and a single script—that's it!

[Gitbook]: https://www.gitbook.com
[Read the Docs]: https://readthedocs.org/
[Vagrant]: https://www.vagrantup.com/docs/
[Laravel]: https://laravel.com/docs/5.3
[Postmark]: http://developer.postmarkapp.com/
[Stripe]: https://stripe.com/docs/api
[lunr.js]: http://lunrjs.com/
[Angular CLI]: https://cli.angular.io/
[npm]: https://www.npmjs.com/

# Documentation

Official documentation has moved to [https://compodoc.github.io/website/](https://compodoc.github.io/website/guides/getting-started.html).

# Installation

Ready to get started? [Read installation instructions](https://compodoc.github.io/website/guides/installation.html).

# Contributing

Want to file a bug, contribute some code, or improve documentation? Excellent!

Read up on our guidelines for [contributing](https://github.com/compodoc/compodoc/blob/master/CONTRIBUTING.md).

# Contributors

|[<img alt="vogloblinsky" src="https://avatars3.githubusercontent.com/u/2841805?v=4&s=117" width="117">](https://github.com/vogloblinsky)|[<img alt="mattlewis92" src="https://avatars1.githubusercontent.com/u/6425649?v=4&s=117" width="117">](https://github.com/mattlewis92)|[<img alt="JonasMH" src="https://avatars0.githubusercontent.com/u/1939229?v=4&s=117" width="117">](https://github.com/JonasMH)|[<img alt="rprotsyk" src="https://avatars0.githubusercontent.com/u/104502?v=4&s=117" width="117">](https://github.com/rprotsyk)|[<img alt="daniele-zurico" src="https://avatars0.githubusercontent.com/u/3193095?v=4&s=117" width="117">](https://github.com/daniele-zurico)|[<img alt="profimedica" src="https://avatars0.githubusercontent.com/u/2903499?v=4&s=117" width="117">](https://github.com/profimedica)|[<img alt="guilhermevrs" src="https://avatars0.githubusercontent.com/u/1570567?v=4&s=117" width="117">](https://github.com/guilhermevrs)|[<img alt="guilhermevrs" src="https://avatars0.githubusercontent.com/u/32763448?v=4&s=117" width="117">](https://github.com/dp-1a)|
|:-:|:-:|:-:|:-:|:-:|:-:|:-:|:-:|
|[vogloblinsky](https://github.com/vogloblinsky)|[mattlewis92](https://github.com/mattlewis92)|[JonasMH](https://github.com/JonasMH)|[rprotsyk](https://github.com/rprotsyk)|[daniele-zurico](https://github.com/daniele-zurico)|[profimedica](https://github.com/profimedica)|[guilhermevrs](https://github.com/guilhermevrs)|[dp-1a](https://github.com/dp-1a)|

# License

Everything in this repository is [licensed under the MIT License][license] unless otherwise specified.

Copyright (c) 2016–2017 [Vincent Ogloblinsky]

[license]: https://github.com/compodoc/compodoc/blob/master/LICENSE
[Vincent Ogloblinsky]: http://www.vincentogloblinsky.com
